# Compliance

Compliance is an important component of any business. With the onset of rules like GDPR and CCPA, it's more important than ever to be sensitive of user data. In the event that you have a customer that requests their data be deleted, we've built out special compliance endpoints.

## Delete Logs for a User

<mark style="color:red;">`DELETE`</mark> `https://api.runalloy.com/forge/2021-12/user/:userId/workflowLogs`

This endpoint deletes all historical logs associated with a user. This endpoint expects a `userId` . Note that this action cannot be undone.

#### Headers

| Name                                                            | Type   | Description                          |
| --------------------------------------------------------------- | ------ | ------------------------------------ |
| Authorization Bearer {apiKey}<mark style="color:red;">\*</mark> | String | Your Forge API key for authorization |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "message": "success"
}
```

{% endtab %}
{% endtabs %}

Typically, if you have a user requesting their personal information deleted, we advise  deleting their account using [Users](/alloy-developer/reference/api-reference/users.md#deleteuser) endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gregg.gitbook.io/alloy-developer/reference/api-reference/compliance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
